## Create a Warp Connector Tunnel `client.zeroTrust.tunnels.warpConnector.create(WARPConnectorCreateParamsparams, RequestOptionsoptions?): WARPConnectorCreateResponse` **post** `/accounts/{account_id}/warp_connector` Creates a new Warp Connector Tunnel in an account. ### Parameters - `params: WARPConnectorCreateParams` - `account_id: string` Path param: Cloudflare account ID - `name: string` Body param: A user-friendly name for a tunnel. - `ha?: boolean` Body param: Indicates that the tunnel will be created to be highly available. If omitted, defaults to false. ### Returns - `WARPConnectorCreateResponse` A Warp Connector Tunnel that connects your origin to Cloudflare's edge. - `id?: string` UUID of the tunnel. - `account_tag?: string` Cloudflare account ID - `connections?: Array` The Cloudflare Tunnel connections between your origin and Cloudflare's edge. - `id?: string` UUID of the Cloudflare Tunnel connection. - `client_id?: string` UUID of the Cloudflare Tunnel connector. - `client_version?: string` The cloudflared version used to establish this connection. - `colo_name?: string` The Cloudflare data center used for this connection. - `is_pending_reconnect?: boolean` Cloudflare continues to track connections for several minutes after they disconnect. This is an optimization to improve latency and reliability of reconnecting. If `true`, the connection has disconnected but is still being tracked. If `false`, the connection is actively serving traffic. - `opened_at?: string` Timestamp of when the connection was established. - `origin_ip?: string` The public IP address of the host running cloudflared. - `uuid?: string` UUID of the Cloudflare Tunnel connection. - `conns_active_at?: string` Timestamp of when the tunnel established at least one connection to Cloudflare's edge. If `null`, the tunnel is inactive. - `conns_inactive_at?: string` Timestamp of when the tunnel became inactive (no connections to Cloudflare's edge). If `null`, the tunnel is active. - `created_at?: string` Timestamp of when the resource was created. - `deleted_at?: string` Timestamp of when the resource was deleted. If `null`, the resource has not been deleted. - `metadata?: unknown` Metadata associated with the tunnel. - `name?: string` A user-friendly name for a tunnel. - `status?: "inactive" | "degraded" | "healthy" | "down"` The status of the tunnel. Valid values are `inactive` (tunnel has never been run), `degraded` (tunnel is active and able to serve traffic but in an unhealthy state), `healthy` (tunnel is active and able to serve traffic), or `down` (tunnel can not serve traffic as it has no connections to the Cloudflare Edge). - `"inactive"` - `"degraded"` - `"healthy"` - `"down"` - `tun_type?: "cfd_tunnel" | "warp_connector" | "warp" | 4 more` The type of tunnel. - `"cfd_tunnel"` - `"warp_connector"` - `"warp"` - `"magic"` - `"ip_sec"` - `"gre"` - `"cni"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const warpConnector = await client.zeroTrust.tunnels.warpConnector.create({ account_id: '699d98642c564d2e855e9661899b7252', name: 'blog', }); console.log(warpConnector.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415", "account_tag": "699d98642c564d2e855e9661899b7252", "connections": [ { "id": "1bedc50d-42b3-473c-b108-ff3d10c0d925", "client_id": "1bedc50d-42b3-473c-b108-ff3d10c0d925", "client_version": "2022.7.1", "colo_name": "DFW", "is_pending_reconnect": false, "opened_at": "2021-01-25T18:22:34.317854Z", "origin_ip": "10.1.0.137", "uuid": "1bedc50d-42b3-473c-b108-ff3d10c0d925" } ], "conns_active_at": "2009-11-10T23:00:00Z", "conns_inactive_at": "2009-11-10T23:00:00Z", "created_at": "2021-01-25T18:22:34.317854Z", "deleted_at": "2009-11-10T23:00:00.000000Z", "metadata": {}, "name": "blog", "status": "healthy", "tun_type": "cfd_tunnel" }, "success": true } ```